Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_spotlights.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_spotlights.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_spotlights.php	(revision 1)
@@ -0,0 +1,104 @@
+<?php
+
+  function e_set_spotlights($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "spotlights";
+      $function = "a_".$env->a;
+      if(function_exists($function)) $function($env);
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page.";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_spotlights($env)
+  { if(($env->out["spotlights"] = $env->data->spotlights($env->start)) !== false)
+    {
+    }
+    else $env->erreur = "Impossible de lire les spotlights";
+  }
+
+  function a_add_spotlight($env)
+  { if($_POST)
+    { if($_POST["preview"])
+      { $env->out["preview"] = array
+        ( "titre" => $_POST["titre"],
+          "contenu" =>  $_POST["spotlight"],
+          "auteur" => $env->pun_user["username"],
+          "date_publication" => $_POST["date_publication"],
+          "public" => $_POST["public"] ? 1 : 0
+        );
+      }
+      else
+      { if
+        ( $env->data->add_spotlight
+          ( $_POST["titre"],
+            $_POST["spotlight"],
+            $env->pun_user["id"],
+            $_POST["date_publication"],
+            $_POST["public"] ? 1 : 0
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url(array("e" => "set_spotlights")),
+            "Le spotlight a &eacute;t&eacute; ajout&eacute;"
+          );
+        }
+        else $env->erreur = "Impossible d'ajouter le spotlight.";
+      }
+    }
+  }
+
+  function a_set_spotlight($env)
+  { if($_POST)
+    { if($_POST["preview"])
+      { $env->out["preview"] = array
+        ( "titre" => $_POST["titre"],
+          "contenu" =>  $_POST["spotlight"],
+          "auteur" => $env->pun_user["username"],
+          "date_publication" => $_POST["date_publication"],
+          "public" => $_POST["public"] ? 1 : 0
+        );
+      }
+      else
+      { if
+        ( $env->data->set_spotlight
+          ( $_GET[$env->param("spotlight")],
+            $_POST["titre"],
+            $_POST["spotlight"],
+            $env->pun_user["id"],
+            $_POST["date_publication"],
+            $_POST["public"] ? 1 : 0
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url(array("e" => "set_spotlights")),
+            "Le spotlight a &eacute;t&eacute; modifi&eacute;"
+          );
+        }
+        else $env->erreur = "Impossible de modifier le spotlight.";
+      }
+    }
+    else
+    { if(($env->out["_spotlight"] = $env->data->spotlight($_GET[$env->param("spotlight")])) === false)
+      { $env->erreur = "Impossible de lire le spotlight.";
+      }
+    }
+  }
+
+  function a_del_spotlight($env)
+  { if($env->data->del_spotlight($_GET[$env->param("spotlight")]) !== false)
+    { _redirect
+      ( $env,
+        $env->url(array("e" => "set_spotlights")),
+        "Le spotlight a &eacute;t&eacute; supprim&eacute;"
+      );
+    }
+    else $env->erreur = "Impossible de supprimer le spotlight.";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_spotlight.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_spotlight.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_spotlight.php	(revision 1)
@@ -0,0 +1,7 @@
+<?php
+
+  function e_spotlight($env)
+  {
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/post_request/e_map_emplacements.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/post_request/e_map_emplacements.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/post_request/e_map_emplacements.php	(revision 1)
@@ -0,0 +1,9 @@
+<?php
+
+  function e_map_emplacements($env)
+  { if(($env->reponse["emplacements"] = $env->data->map_emplacements()) === false)
+    { $env->reponse["erreur"] = "impossible de lire les emplacements";
+    }
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/post_request/e_save_map.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/post_request/e_save_map.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/post_request/e_save_map.php	(revision 1)
@@ -0,0 +1,36 @@
+<?php
+
+  function e_save_map($env)
+  { $ERREUR = false;
+    foreach($env->DATA["emplacements"] as $id => $values)
+    { if(!$ERREUR)
+      { if(isset($values["deleted"]))
+        { if(strlen($id) < 4 || strcmp(substr($id, 0, 4), "new_") != 0) $ERREUR = $ERREUR || !$env->data->del_map_emplacement($id);
+        }
+        elseif(strlen($id) >= 4 && strcmp(substr($id, 0, 4), "new_") == 0)
+        { $ERREUR = $ERREUR || !$env->data->add_map_emplacement
+          ( $values["latitude"],
+            $values["longitude"],
+            $values["map_emplacement_type"],
+            $values["info"],
+            $values["creation_user"]
+          );
+        }
+        elseif(isset($values["modified"]))
+        { $ERREUR = $ERREUR || !$env->data->set_map_emplacement
+          ( $id,
+            $values["latitude"],
+            $values["longitude"],
+            $values["map_emplacement_type"],
+            $values["info"],
+            $values["modification_user"]
+          );
+        }
+        if($ERREUR) $env->reponse["erreur"] = "erreur lors de la mise a jour des emplacements";
+      }
+      if($ERREUR) break;
+    }
+    if(!$ERREUR) $env->next_e = "map_emplacements";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/plugins/ptitcaptcha.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/ptitcaptcha.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/ptitcaptcha.php	(revision 1)
@@ -0,0 +1,126 @@
+<?php
+/**
+ * Ptitcaptcha : simple php captcha system
+ * 
+ * @author Jean-Pierre Morfin
+ * @license Creative Commons By
+ * @license http://creativecommons.org/licenses/by/2.0/fr/
+ */
+ 
+/* Change it to have a specific encoding ! */
+define("PTITCAPTCHA_ENTROPY","what-ever-you-want");
+ 
+/* Choose length (max 32) */
+define("PTITCAPTCHA_LENGTH",5);
+ 
+$GLOBALS["ptitcaptcha_akey"] = md5(uniqid(rand(), true));
+ 
+/**
+ * Helper to generate html form tags
+ *
+ */
+class PtitCaptchaHelper
+{
+	/**
+	 * Generate IMG Tag
+	 *
+	 * @param string $baseuri : relative or absolute path to folder containing this file on web
+	 * @return IMG Tag
+	 */
+	function generateImgTags($baseuri)
+	{
+		return "<a href=\"#\"><img alt=\"???\" title=\"?\"".
+			" src=\"".$baseuri."ptitcaptcha.php?pck=".$GLOBALS['ptitcaptcha_akey']."\"".
+			" id=\"ptitcaptcha\"".
+			" onclick=\"javascript:this.src='".$baseuri."ptitcaptcha.php?pck=".
+			$GLOBALS['ptitcaptcha_akey'].
+			"&amp;z='+Math.random();return false;\" /></a>\n";
+	}
+ 
+	/**
+	 * Generate hidden tag (must be in a form)
+	 *
+	 * @return input hidden tag
+	 */
+	function generateHiddenTags()
+	{
+		return "<input type=\"hidden\" name=\"ptitcaptcha_key\" value=\"".$GLOBALS['ptitcaptcha_akey']."\"/>";
+	}
+ 
+	/**
+	 * Generate input tag (must be in a form)
+	 *
+	 * @return input tag
+	 */
+	function generateInputTags()
+	{
+		return "<input type=\"text\" name=\"ptitcaptcha_entry\" value=\"\"/>";
+	}
+ 
+	/**
+	 * Check if user input is correct
+	 *
+	 * @return boolean (true=correct, false=incorrect)
+	 */
+	function checkCaptcha()
+	{
+		if(	isset($_POST['ptitcaptcha_entry']) && 
+			$_POST['ptitcaptcha_entry'] == PtitCaptchaHelper::_getDisplayText($_POST['ptitcaptcha_key']))
+		{
+			return true;
+		}
+		return false;
+	}
+ 
+	/**
+	 * Internal function
+	 *
+	 * @param string $pck
+	 * @return string
+	 */
+	function _getDisplayText($pck)	// internal function
+	{
+		$src=md5(PTITCAPTCHA_ENTROPY.$pck);
+		$txt="";
+		for($i=0;$i<PTITCAPTCHA_LENGTH;$i++)
+			$txt.=substr($src,$i*32/PTITCAPTCHA_LENGTH,1);
+		return $txt;
+	}
+}	
+ 
+ 
+// If script called directly : generate image
+if(basename($_SERVER["SCRIPT_NAME"])=="ptitcaptcha.php" && isset($_GET["pck"]))
+{
+	$width = PTITCAPTCHA_LENGTH*10+10;
+	$height = 30;
+ 
+	$image = imagecreatetruecolor($width, $height);
+	$bgCol = imagecolorallocate($image, rand(128,255), rand(128,255), rand(128,255));
+	imagefilledrectangle($image,0,0,$width,$height,$bgCol);
+ 
+	$txt = PtitCaptchaHelper::_getDisplayText($_GET["pck"]);
+ 
+	for($c=0;$c<PTITCAPTCHA_LENGTH*2;$c++)
+	{
+		$bgCol = imagecolorallocate($image, rand(100,255), rand(100,255), rand(100,255));
+		$x=rand(0,$width);
+		$y=rand(0,$height);
+		$w=rand(5,$width/2);
+		$h=rand(5,$height/2);
+		imagefilledrectangle($image,$x,$y,$x+$w,$y+$h,$bgCol);
+		imagecolordeallocate($image,$bgCol);
+	}
+	for($c=0;$c<PTITCAPTCHA_LENGTH;$c++)
+	{
+		$txtCol = imagecolorallocate($image, rand(0,128) , rand(0,128), rand(0,128));
+		imagestring($image,5,5+10*$c,rand(0,10),substr($txt,$c,1),$txtCol);
+		imagecolordeallocate($image,$txtCol);
+	}
+ 
+	header("Content-type: image/png");
+	imagepng($image);
+	imagedestroy($image);
+}
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/plugins/str_tab.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/str_tab.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/str_tab.php	(revision 1)
@@ -0,0 +1,88 @@
+<?php
+
+#
+# quelques fonctions pour convertir un Array php en chaine de caractères et vis-versa.
+#
+# l'idée, à la base, c'était de trouver un format pour pouvoir sauver un Array php
+# dans un fichier texte. ça permet de sauvegarder des données structurées, sans avoir
+# à passer par une base de données.
+#
+#
+# SYNTAXE:
+#
+#   ----------------------------------------------------------------------------------
+#   tab_to_str($TAB)
+#
+#   retourne une chaine de caractères qui représente $TAB. $TAB doit être du type Array.
+#
+#   NOTE: la convertion en chaine de caractères marche si les valeurs du tableau
+#         sont des chaines de caractères, des nombres ou des tableaux, mais c'est
+#         pas dit que ça marche pour d'autre types de variables.
+#
+#         Autrement dit, le tableau $TAB peut lui-même contenir des tableaux, qui
+#         peuvent eux-même contenir des tableaux (...), tant que les valeurs restent
+#         des chaines de caractères, des nombres ou des tableaux.
+#
+#
+#   ----------------------------------------------------------------------------------
+#   str_to_tab($str)
+#
+#   retourne un Array qui correspond à la chaine de caractère $str. $str doit avoir
+#   été crée avec la fonction tab_to_str.
+#
+
+
+  function tab_to_str($TAB) { return _tab_to_str("", $TAB); }
+
+  function _tab_to_str($pre, $TAB)
+  { $content = "";
+    if($TAB)
+    { foreach($TAB as $key => $value)
+      { if(is_array($value)) $content .= _tab_to_str($pre.strlen($key).":".$key, $TAB[$key]);
+        else $content .= $pre.strlen($key).":".$key.strlen($value).":".$value."\n"; 
+      }
+    }
+    else return $pre."a:\n";
+    return $content;
+  }
+
+  function str_to_tab($content)
+  { $TAB = array();
+    $n = 0;
+    while($n < strlen($content))
+    { $LINE_FOUND = 0;
+      $ENDS_WITH_EMPTY_TAB = 0;
+      $words = array();
+      while($n < strlen($content) && !$LINE_FOUND)
+      { $length = "";
+        $word = "";
+        while($n < strlen($content) && strcmp(substr($content, $n, 1), ":") != 0) { $length .= $content[$n]; $n++; } $n++;
+        if(strcmp($length, "a") == 0) $ENDS_WITH_EMPTY_TAB = 1;
+        else
+        { for($k = 0; $k < $length; $k++) { $word .= $content[$n]; $n++; }
+          $words[] = $word;
+        }
+        $LINE_FOUND = $ENDS_WITH_EMPTY_TAB || $n == strlen($content) || strcmp(substr($content, $n, 1), "\n") == 0;
+      }
+      $n++;
+      if($words) $TAB = affect($TAB, $words, $ENDS_WITH_EMPTY_TAB);
+    }
+    return $TAB; 
+  }
+
+  function affect($TAB, $words, $ENDS_WITH_EMPTY_TAB)
+  { if(count($words) > ($ENDS_WITH_EMPTY_TAB ? 1 : 2))
+    { if(!is_array($TAB[$words[0]])) $TAB[$words[0]] = array();
+      $_words = array();
+      $FIRST = 1;  
+      foreach($words as $word)
+      { if($FIRST) $FIRST = 0;
+        else $_words[] = $word;
+      }
+      $TAB[$words[0]] = affect($TAB[$words[0]], $_words, $ENDS_WITH_EMPTY_TAB);
+    }
+    else $TAB[$words[0]] = ($ENDS_WITH_EMPTY_TAB ? array() : $words[1]);
+    return $TAB;
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/langs/en.js
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/langs/en.js	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/langs/en.js	(revision 1)
@@ -0,0 +1,154 @@
+tinyMCE.addI18n({en:{
+common:{
+edit_confirm:"Do you want to use the WYSIWYG mode for this textarea?",
+apply:"Apply",
+insert:"Insert",
+update:"Update",
+cancel:"Cancel",
+close:"Close",
+browse:"Browse",
+class_name:"Class",
+not_set:"-- Not set --",
+clipboard_msg:"Copy/Cut/Paste is not available in Mozilla and Firefox.\nDo you want more information about this issue?",
+clipboard_no_support:"Currently not supported by your browser, use keyboard shortcuts instead.",
+popup_blocked:"Sorry, but we have noticed that your popup-blocker has disabled a window that provides application functionality. You will need to disable popup blocking on this site in order to fully utilize this tool.",
+invalid_data:"Error: Invalid values entered, these are marked in red.",
+more_colors:"More colors"
+},
+contextmenu:{
+align:"Alignment",
+left:"Left",
+center:"Center",
+right:"Right",
+full:"Full"
+},
+insertdatetime:{
+date_fmt:"%Y-%m-%d",
+time_fmt:"%H:%M:%S",
+insertdate_desc:"Insert date",
+inserttime_desc:"Insert time",
+months_long:"January,February,March,April,May,June,July,August,September,October,November,December",
+months_short:"Jan,Feb,Mar,Apr,May,Jun,Jul,Aug,Sep,Oct,Nov,Dec",
+day_long:"Sunday,Monday,Tuesday,Wednesday,Thursday,Friday,Saturday,Sunday",
+day_short:"Sun,Mon,Tue,Wed,Thu,Fri,Sat,Sun"
+},
+print:{
+print_desc:"Print"
+},
+preview:{
+preview_desc:"Preview"
+},
+directionality:{
+ltr_desc:"Direction left to right",
+rtl_desc:"Direction right to left"
+},
+layer:{
+insertlayer_desc:"Insert new layer",
+forward_desc:"Move forward",
+backward_desc:"Move backward",
+absolute_desc:"Toggle absolute positioning",
+content:"New layer..."
+},
+save:{
+save_desc:"Save",
+cancel_desc:"Cancel all changes"
+},
+nonbreaking:{
+nonbreaking_desc:"Insert non-breaking space character"
+},
+iespell:{
+iespell_desc:"Run spell checking",
+download:"ieSpell not detected. Do you want to install it now?"
+},
+advhr:{
+advhr_desc:"Horizontale rule"
+},
+emotions:{
+emotions_desc:"Emotions"
+},
+searchreplace:{
+search_desc:"Find",
+replace_desc:"Find/Replace"
+},
+advimage:{
+image_desc:"Insert/edit image"
+},
+advlink:{
+link_desc:"Insert/edit link"
+},
+xhtmlxtras:{
+cite_desc:"Citation",
+abbr_desc:"Abbreviation",
+acronym_desc:"Acronym",
+del_desc:"Deletion",
+ins_desc:"Insertion",
+attribs_desc:"Insert/Edit Attributes"
+},
+style:{
+desc:"Edit CSS Style"
+},
+paste:{
+paste_text_desc:"Paste as Plain Text",
+paste_word_desc:"Paste from Word",
+selectall_desc:"Select All"
+},
+paste_dlg:{
+text_title:"Use CTRL+V on your keyboard to paste the text into the window.",
+text_linebreaks:"Keep linebreaks",
+word_title:"Use CTRL+V on your keyboard to paste the text into the window."
+},
+table:{
+desc:"Inserts a new table",
+row_before_desc:"Insert row before",
+row_after_desc:"Insert row after",
+delete_row_desc:"Delete row",
+col_before_desc:"Insert column before",
+col_after_desc:"Insert column after",
+delete_col_desc:"Remove column",
+split_cells_desc:"Split merged table cells",
+merge_cells_desc:"Merge table cells",
+row_desc:"Table row properties",
+cell_desc:"Table cell properties",
+props_desc:"Table properties",
+paste_row_before_desc:"Paste table row before",
+paste_row_after_desc:"Paste table row after",
+cut_row_desc:"Cut table row",
+copy_row_desc:"Copy table row",
+del:"Delete table",
+row:"Row",
+col:"Column",
+cell:"Cell"
+},
+autosave:{
+unload_msg:"The changes you made will be lost if you navigate away from this page."
+},
+fullscreen:{
+desc:"Toggle fullscreen mode"
+},
+media:{
+desc:"Insert / edit embedded media",
+edit:"Edit embedded media"
+},
+fullpage:{
+desc:"Document properties"
+},
+template:{
+desc:"Insert predefined template content"
+},
+visualchars:{
+desc:"Visual control characters on/off."
+},
+spellchecker:{
+desc:"Toggle spellchecker",
+menu:"Spellchecker settings",
+ignore_word:"Ignore word",
+ignore_words:"Ignore all",
+langs:"Languages",
+wait:"Please wait...",
+sug:"Suggestions",
+no_sug:"No suggestions",
+no_mpell:"No misspellings found."
+},
+pagebreak:{
+desc:"Insert page break."
+}}});
Index: /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/editor_plugin.js
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/editor_plugin.js	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/editor_plugin.js	(revision 1)
@@ -0,0 +1,1 @@
+(function(){tinymce.create('tinymce.plugins.AdvancedHRPlugin',{init:function(ed,url){ed.addCommand('mceAdvancedHr',function(){ed.windowManager.open({file:url+'/rule.htm',width:250+parseInt(ed.getLang('advhr.delta_width',0)),height:160+parseInt(ed.getLang('advhr.delta_height',0)),inline:1},{plugin_url:url});});ed.addButton('advhr',{title:'advhr.advhr_desc',cmd:'mceAdvancedHr'});ed.onNodeChange.add(function(ed,cm,n){cm.setActive('advhr',n.nodeName=='HR');});ed.onClick.add(function(ed,e){e=e.target;if(e.nodeName==='HR')ed.selection.select(e);});},getInfo:function(){return{longname:'Advanced HR',author:'Moxiecode Systems AB',authorurl:'http://tinymce.moxiecode.com',infourl:'http://wiki.moxiecode.com/index.php/TinyMCE:Plugins/advhr',version:tinymce.majorVersion+"."+tinymce.minorVersion};}});tinymce.PluginManager.add('advhr',tinymce.plugins.AdvancedHRPlugin);})();
Index: /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/editor_plugin_src.js
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/editor_plugin_src.js	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/editor_plugin_src.js	(revision 1)
@@ -0,0 +1,54 @@
+/**
+ * $Id: editor_plugin_src.js 520 2008-01-07 16:30:32Z spocke $
+ *
+ * @author Moxiecode
+ * @copyright Copyright © 2004-2008, Moxiecode Systems AB, All rights reserved.
+ */
+
+(function() {
+	tinymce.create('tinymce.plugins.AdvancedHRPlugin', {
+		init : function(ed, url) {
+			// Register commands
+			ed.addCommand('mceAdvancedHr', function() {
+				ed.windowManager.open({
+					file : url + '/rule.htm',
+					width : 250 + parseInt(ed.getLang('advhr.delta_width', 0)),
+					height : 160 + parseInt(ed.getLang('advhr.delta_height', 0)),
+					inline : 1
+				}, {
+					plugin_url : url
+				});
+			});
+
+			// Register buttons
+			ed.addButton('advhr', {
+				title : 'advhr.advhr_desc',
+				cmd : 'mceAdvancedHr'
+			});
+
+			ed.onNodeChange.add(function(ed, cm, n) {
+				cm.setActive('advhr', n.nodeName == 'HR');
+			});
+
+			ed.onClick.add(function(ed, e) {
+				e = e.target;
+
+				if (e.nodeName === 'HR')
+					ed.selection.select(e);
+			});
+		},
+
+		getInfo : function() {
+			return {
+				longname : 'Advanced HR',
+				author : 'Moxiecode Systems AB',
+				authorurl : 'http://tinymce.moxiecode.com',
+				infourl : 'http://wiki.moxiecode.com/index.php/TinyMCE:Plugins/advhr',
+				version : tinymce.majorVersion + "." + tinymce.minorVersion
+			};
+		}
+	});
+
+	// Register plugin
+	tinymce.PluginManager.add('advhr', tinymce.plugins.AdvancedHRPlugin);
+})();
Index: /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/js/rule.js
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/js/rule.js	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/js/rule.js	(revision 1)
@@ -0,0 +1,34 @@
+var AdvHRDialog = {
+	init : function(ed) {
+		var dom = ed.dom, f = document.forms[0], n = ed.selection.getNode(), w;
+
+		w = dom.getAttrib(n, 'width');
+		f.width.value = w ? parseInt(w) : '';
+		f.size.value = dom.getAttrib(n, 'size');
+		f.noshade.checked = !!dom.getAttrib(n, 'noshade');
+		selectByValue(f, 'width2', w.indexOf('%') != -1 ? '%' : 'px');
+	},
+
+	update : function() {
+		var ed = tinyMCEPopup.editor, h, f = document.forms[0];
+
+		h = '<hr';
+
+		if (f.size.value)
+			h += ' size="' + f.size.value + '"';
+
+		if (f.width.value)
+			h += ' width="' + f.width.value + (f.width2.value == '%' ? '%' : '') + '"';
+
+		if (f.noshade.checked)
+			h += ' noshade="noshade"';
+
+		h += ' />';
+
+		ed.execCommand("mceInsertContent", false, h);
+		tinyMCEPopup.close();
+	}
+};
+
+tinyMCEPopup.requireLangPack();
+tinyMCEPopup.onInit.add(AdvHRDialog.init, AdvHRDialog);
Index: /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/langs/en_dlg.js
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/langs/en_dlg.js	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advhr/langs/en_dlg.js	(revision 1)
@@ -0,0 +1,5 @@
+tinyMCE.addI18n('en.advhr_dlg',{
+width:"Width",
+size:"Height",
+noshade:"No shadow"
+});
Index: /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advimage/editor_plugin.js
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advimage/editor_plugin.js	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advimage/editor_plugin.js	(revision 1)
@@ -0,0 +1,1 @@
+(function(){tinymce.create('tinymce.plugins.AdvancedImagePlugin',{init:function(ed,url){ed.addCommand('mceAdvImage',function(){var e=ed.selection.getNode();if(ed.dom.getAttrib(e,'class').indexOf('mceItem')!=-1)return;ed.windowManager.open({file:url+'/image.htm',width:480+parseInt(ed.getLang('advimage.delta_width',0)),height:385+parseInt(ed.getLang('advimage.delta_height',0)),inline:1},{plugin_url:url});});ed.addButton('image',{title:'advimage.image_desc',cmd:'mceAdvImage'});},getInfo:function(){return{longname:'Advanced image',author:'Moxiecode Systems AB',authorurl:'http://tinymce.moxiecode.com',infourl:'http://wiki.moxiecode.com/index.php/TinyMCE:Plugins/advimage',version:tinymce.majorVersion+"."+tinymce.minorVersion};}});tinymce.PluginManager.add('advimage',tinymce.plugins.AdvancedImagePlugin);})();
Index: /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advimage/editor_plugin_src.js
===================================================================
--- /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advimage/editor_plugin_src.js	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/plugins/tinymce/jscripts/tiny_mce/plugins/advimage/editor_plugin_src.js	(revision 1)
@@ -0,0 +1,49 @@
+/**
+ * $Id: editor_plugin_src.js 520 2008-01-07 16:30:32Z spocke $
+ *
+ * @author Moxiecode
+ * @copyright Copyright © 2004-2008, Moxiecode Systems AB, All rights reserved.
+ */
+
+(function() {
+	tinymce.create('tinymce.plugins.AdvancedImagePlugin', {
+		init : function(ed, url) {
+			// Register commands
+			ed.addCommand('mceAdvImage', function() {
+				var e = ed.selection.getNode();
+
+				// Internal image object like a flash placeholder
+				if (ed.dom.getAttrib(e, 'class').indexOf('mceItem') != -1)
+					return;
+
+				ed.windowManager.open({
+					file : url + '/image.htm',
+					width : 480 + parseInt(ed.getLang('advimage.delta_width', 0)),
+					height : 385 + parseInt(ed.getLang('advimage.delta_height', 0)),
+					inline : 1
+				}, {
+					plugin_url : url
+				});
+			});
+
+			// Register buttons
+			ed.addButton('image', {
+				title : 'advimage.image_desc',
+				cmd : 'mceAdvImage'
+			});
+		},
+
+		getInfo : function() {
+			return {
+				longname : 'Advanced image',
+				author : 'Moxiecode Systems AB',
+				authorurl : 'http://tinymce.moxiecode.com',
+				infourl : 'http://wiki.moxiecode.com/index.php/TinyMCE:Plugins/advimage',
+				version : tinymce.majorVersion + "." + tinymce.minorVersion
+			};
+		}
+	});
+
+	// Register plugin
+	tinymce.PluginManager.add('advimage', tinymce.plugins.AdvancedImagePlugin);
+})();
